Subject: [Kgdb-bugreport] [PATCH] ARM: change definition of cpu_relax() for ARM11MPCore

From: [email-masked] (Jason Wessel)
Date: Tue, 16 Mar 2010 13:52:09 -0500

On 03/16/2010 12:26 PM, Will Deacon wrote:
> Hi Jason,
>
>   
> What's the status on this patch? Russell has applied the ARM SMP code to his
> tree now, so it would be good to get this patch into KGDB to avoid the deadlock
> on ARM11MPCore.
>
>   

Linux-next presently reflects the state of the outstanding pull request
I have to Linus.  I have yet to hear back any word as to what happened
with my pull request.

> I only ask because I can't see it in -next [although I see kgdb.c has moved!].
>   

It lives in kernel/debug/debug_core.c, assuming the code in linux-next
gets pulled into Linus's tree.  I already have an updated version of the
patch for the new structure, but not pushed to linux-next while my pull
request is in limbo.

Jason.